classification
Title: asyncio: set_write_buffer_limits() doc doesn't specify unit of the parameters
Type: Stage: needs patch
Components: asyncio, Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Mariatta Nosy List: Mariatta, docs@python, haypo, yselivanov
Priority: normal Keywords: easy

Created on 2017-03-28 13:18 by haypo, last changed 2017-07-02 02:48 by Mariatta.

Pull Requests
URL Status Linked Edit
PR 2262 merged kojoidrissa, 2017-06-18 02:17
PR 2532 merged kojoidrissa, 2017-07-02 02:41
PR 2533 merged kojoidrissa, 2017-07-02 02:41
Messages (7)
msg290712 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-03-28 13:18
The asyncio set_write_buffer_limits() documentation doesn't specify unit of high and low parameters. Moreover, it would to explain better the effect of high and low:

* pause_writing() is called when the buffer size becomes larger or equal to high
* (if writing is pause) resume_writing() is called when the buffer size becomes smaller or equal to low
msg290713 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-03-28 13:19
See also https://github.com/asyncio-doc/asyncio-doc/issues/17 for a more general documentation request on asyncio parameters (on the external asyncio doc).
msg290716 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-03-28 13:55
It would also be nice to:

* link to set_write_buffer_limits() from drain()
* link to set_write_buffer_limits() from pause_writing() / resume_writing()
* mention asyncio default values for set_write_buffer_limits(): low=16 kB, high=64 kB (kb? kib? i never know :-/)
msg296480 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-06-20 19:32
New changeset 5200a7c7f9ea65a96330c5f276f4acc6ec70854e by Mariatta (Kojo Idrissa) in branch 'master':
bpo-29933: Improve set_write_buffer_limits description (GH-2262)
https://github.com/python/cpython/commit/5200a7c7f9ea65a96330c5f276f4acc6ec70854e
msg297090 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-28 00:55
Oh, thanks for the documentation! Now the change should just be backported to other branches.
msg297501 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-02 02:47
New changeset 4685e56596f9f332e402c79c913a73b19f4411e1 by Mariatta (Kojo Idrissa) in branch '3.5':
[3.5] bpo-29933: Improve set_write_buffer_limits description (GH-2262) (GH-2533)
https://github.com/python/cpython/commit/4685e56596f9f332e402c79c913a73b19f4411e1
msg297502 - (view) Author: Mariatta Wijaya (Mariatta) * (Python committer) Date: 2017-07-02 02:48
New changeset 03af4282423b1c287a194664f90496cfc9cf20c7 by Mariatta (Kojo Idrissa) in branch '3.6':
[3.6] bpo-29933: Improve set_write_buffer_limits description (GH-2262) (GH-2532)
https://github.com/python/cpython/commit/03af4282423b1c287a194664f90496cfc9cf20c7
History
Date User Action Args
2017-07-02 02:48:10Mariattasetmessages: + msg297502
2017-07-02 02:47:58Mariattasetmessages: + msg297501
2017-07-02 02:41:20kojoidrissasetpull_requests: + pull_request2600
2017-07-02 02:41:13kojoidrissasetpull_requests: + pull_request2599
2017-06-28 00:55:48hayposetmessages: + msg297090
2017-06-20 19:32:04Mariattasetmessages: + msg296480
2017-06-18 03:39:44Mariattasetversions: + Python 3.5, Python 3.6
2017-06-18 02:17:43kojoidrissasetpull_requests: + pull_request2312
2017-04-12 01:34:47Mariattasetstage: needs patch
2017-04-12 01:34:38Mariattasetassignee: docs@python -> Mariatta

nosy: + Mariatta
2017-03-28 13:55:57hayposetmessages: + msg290716
2017-03-28 13:19:24hayposetmessages: + msg290713
2017-03-28 13:18:59haypocreate